# HierarchyWizardPageFinal (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardPageFinal<T>

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardPageFinal<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

      public class HierarchyWizardPageFinal<T>
      extends org.eclipse.jface.wizard.WizardPage

  The final page that shows an overview of the resulting hierarchy.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

      `ERROR, INFORMATION, NONE, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyWizardPageFinal(HierarchyWizard<T> wizard)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canFlipToNextPage()`
    `void` | `createControl(org.eclipse.swt.widgets.Composite parent)`
    `boolean` | `isPageComplete()`
    `void` | `setGroups(int[] groups)` Sets the groups.
    `void` | `setHierarchy(AttributeType.Hierarchy hierarchy)` Sets the hierarchy.
    `void` | `setVisible(boolean value)`

    - ### Methods inherited from class org.eclipse.jface.wizard.WizardPage

      `getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

    - ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

      `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

      `dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

- - ### Constructor Detail

    - #### HierarchyWizardPageFinal

          public HierarchyWizardPageFinal(HierarchyWizard<T> wizard)

      Creates a new instance.
      Parameters:
        `wizard` -

  - ### Method Detail

    - #### canFlipToNextPage

          public boolean canFlipToNextPage()

      Specified by:
        `canFlipToNextPage` in interface `org.eclipse.jface.wizard.IWizardPage`
      Overrides:
        `canFlipToNextPage` in class `org.eclipse.jface.wizard.WizardPage`

    - #### createControl

          public void createControl(org.eclipse.swt.widgets.Composite parent)

    - #### isPageComplete

          public boolean isPageComplete()

      Specified by:
        `isPageComplete` in interface `org.eclipse.jface.wizard.IWizardPage`
      Overrides:
        `isPageComplete` in class `org.eclipse.jface.wizard.WizardPage`

    - #### setGroups

          public void setGroups(int[] groups)

      Sets the groups.
      Parameters:
        `groups` -

    - #### setHierarchy

          public void setHierarchy(AttributeType.Hierarchy hierarchy)

      Sets the hierarchy.
      Parameters:
        `hierarchy` -

    - #### setVisible

          public void setVisible(boolean value)

      Specified by:
        `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
      Overrides:
        `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`